Subject: Drop support for node based TypoScript files
Description

TypoScript files should no longer be searched in the subpath "Nodes".
The concept of TypoScript specific to a Node was abandoned in favor of a centralized TypoScript configuration. Any changes to the
rendering based on nodes and node structure should be realized by using Matchers and EEL expressions in the central TypoScript.

The reasons were the following:

    -  you have one place to understand the whole rendering of a site
    -  the TS for the site is cacheable extremely well
    -  many team members did not like the node-path-to-file-system-magic and thought it was fragile

Related issues:
related to TYPO3.Neos - Task # 48363: (maybe) implement declarative configura... New 2013-05-17

Associated revisions
Revision aea04424 - 2013-10-01 11:38 - Christian Müller

[!!!][TASK] Remove usage of node based TypoScript

TypoScript files are no longer searched in the subpath "Nodes".
The concept of TypoScript specific to a Node was abandoned in
favor of a centralized TypoScript configuration. Any changes
to the rendering based on nodes and node structure should be
realized by using Matchers and EEL expressions in the central
TypoScript.

Change-Id: I03b49ed688b76717b1d43f1033a1d1eb29bce090
Resolves: #48321
Reviewed-on: https://review.typo3.org/20861
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2013-05-17 10:28 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20861

#2 - 2013-05-17 10:35 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20861

#3 - 2013-05-17 10:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20861

#4 - 2013-05-17 10:47 - Christian Müller
- Status changed from New to Under Review

#5 - 2013-05-19 20:07 - Christopher Hlubek

I talked to Berit about this change and we came to the conclusion that there are certain requirements where overriding / replacing the TypoScript in the
node structure make sense:

    -  A landing page inside the node tree where the rendering is changed heavily
    -  Continually changing one part of the site (e.g. preparing a relaunch) or composing a site of different sites

Of course this concept is one of the most misused in current TYPO3 CMS but also offers a great deal of flexibility. So we should favor and
communicate the matcher based approach as the recommended one. It would be okay for me to remove the file based matching for now and leave the
definition of TypoScript nodes for now.

#6 - 2013-05-19 20:26 - Christian Müller

For a relaunch I would even say you might want to create a new site package or better work on a separate host. In such a scenario using matchers
might become a bit cumbersome. For a landing page you can pretty easily work with a separate Page object from the root matcher. I will try to write
some Best Practice How-Tos about such scenarios.

#7 - 2013-10-01 11:10 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20861

#8 - 2013-10-01 11:37 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20861

#9 - 2013-10-01 12:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:aea044242fe0aafe81a3464a321daf29f43406de.
